#include "prefs.h"
#include <sys/types.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qlistbox.h>

class NeurWidget : public QWidget
{
	Q_OBJECT
    NeurPrefs prefs;
	pid_t getNeurPid() const;
public:
    NeurWidget();
private slots:
	void okClicked();
	void applyClicked();
	void addClicked();
	void removeClicked();
	void startClicked();
	void stopClicked();
private:
    QComboBox* modeBox;
    QLineEdit* pointEdit;
    QLineEdit* detectEdit;
    QListBox* appsBox;
    QPushButton* addButton;
    QPushButton* removeButton;
    QPushButton* startButton;
    QPushButton* stopButton;
	QPushButton* okButton;
	QPushButton* applyButton;
	QPushButton* quitButton;
};
